#! /bin/sh

MultiComPortDeviceDriver()
{
	Device=`lsusb | grep "1b5c:0007"`;
	if [ "$Device" != "" ];then
	{
		echo "Have a ExpansionComPort";
		modprobe ftdi_sio;
		echo "1b5c 0007" > /sys/bus/usb-serial/drivers/ftdi_sio/new_id;
		echo `date +%Y/%m/%d-%H:%M:%S_`"MultiComPort Name_ID: 1b5c:0007" >> /Init/Device_Driver/Support_Driver.tmp;
		Return=1;
	}
	else
	{
		echo "Have a No_ExpansionComPort";
		modprobe -r ftdi_sio;
		echo `date +%Y/%m/%d-%H:%M:%S_`"MultiComPort Name_ID: NoSupport" >> /Init/Device_Driver/Support_Driver.tmp;
		Return=0;
	}
	fi
}
UA5231M4GEWirelessDriver()
{
for i in {1..30};
do
	echo "2c7c 0125" > /sys/bus/usb-serial/drivers/option1/new_id
	if [ -e /sys/bus/usb-serial/devices/ttyUSB3 ]; then
		break;
	fi
	sleep 1;
done
}
