#! /bin/sh
. /Init/function.sh

SetWirelessIP()
{
	BaseStandName=`cat /Init/Wireless.conf`;
	connmanctl scan wifi;
	connmanctl scan wifi;
	Wireless=`connmanctl services | grep "$BaseStandName" | awk '{print $3}'`;
	connmanctl connect $Wireless;
}
OpenWIFI()
{
	Device_Wlan0=`ifconfig wlan0`;
	if [ "$Device_Wlan0" != "" ]; then
	{
		Wlan0_IP=`ifconfig wlan0 | grep "inet addr"`;
		if [ "$Wlan0_IP" = "" ]; then
		{
			SetWirelessIP;
		}
		fi
	}
	fi
	sleep 1;
}
OpenWired()
{
	Device_eth0=`ifconfig eth0`;
	if [ "$Device_eth0" != "" ]; then
	{
		eth0_IP=`ifconfig eth0 | grep "inet addr"`;
		if [ "$eth0_IP" = "" ]; then
		{
			Eth0=`connmanctl services | grep "Wired" | awk '{print $3}' | awk 'NR==1'`;
			connmanctl connect $Eth0;
		}
		fi
	}
	fi
	sleep 1;
}
while [ true ]
do
{
	OpenWired;
	OpenWIFI;
}
done
