#! /bin/sh

DetectionModel()
{
	Eth1=`cat /proc/net/dev | grep "eth1"`
	if [ "$Eth1" != "" ];then
	printf "UA-2241\n"
	else
	printf "UA-5231\n"
	fi
}
FirstSetHostName()
{
	echo `date` >> /Init/tmp/TimeDifference
	time1=`date +%s`; 
	while [ true ]
	do
		HWaddr=`ifconfig | grep "eth0"`
		if [ "$HWaddr" != "" ]; then
			break;
		fi
		sleep 1
	done
	echo "UA-Series-"`ifconfig | grep "eth0" | grep "HWaddr" | awk '{print $5}' | sed 's/://g'` > /etc/hostname
	echo `date` >> /Init/tmp/TimeDifference
	time2=`date +%s`; 
	time3=$(($time2-$time1))
	`echo $time3 >> /Init/tmp/TimeDifference`
}
RemoveTmp()
{
	rm -rf /Init/tmp/*;
}
DetectionNetWork()
{
	while [ true ]
	do
		#Ex: print ethernet_907065409621_cable
		#CableTmp0=`/usr/lib/connman/test/get-services | grep ethernet_ | sed 's/\[ \/net\/connman\/service\///g' | sed 's/ \]$//g' | awk 'NR==1{print}'`
		#echo $CableTmp0
		#Ex: print  IPv4 = { Netmask=255.255.0.0 Gateway=192.168.1.1 Method=dhcp Address=192.168.1.23 }
		#CableIP0=`/usr/lib/connman/test/get-services | grep "IPv4 = " | awk 'NR==1{print}' | grep "Address"`
		#if [[ "$CableIP0" = "" && "$CableTmp0" != "" ]]; then
			#Open the cableLan
		#	connmanctl \connect $CableTmp0
		#fi
		#CableTmp1=`/usr/lib/connman/test/get-services | grep ethernet_ | sed 's/\[ \/net\/connman\/service\///g' | sed 's/ \]$//g' | awk 'NR==2{print}'`
		#echo $CableTmp1
		#CableIP1=`/usr/lib/connman/test/get-services | grep "IPv4 = " | awk 'NR==2{print}' | grep "Address"`

		#if [[ "$CableIP1" = "" && "$CableTmp1" != "" ]]; then
		#	connmanctl \connect $CableTmp1
		#fi
		#connmanctl \connect ethernet_907065409621_cable
		#connmanctl \connect ethernet_907065409623_cable
		Ifconfig0=`ifconfig eth0 | grep "inet addr"`
		#echo $Ifconfig0
		IPAddress0=`ifconfig eth0 | grep "HWaddr" | awk '{print $5}' | sed 's/://g'`
		IPAddress0=`echo $IPAddress0 | tr '[:upper:]' '[:lower:]'`
		#echo $IPAddress0
		if [ "$Ifconfig0" = "" ]; then
			#Open the cableLan
			connmanctl \connect "ethernet_"$IPAddress0"_cable"
		fi
		Ifconfig1=`ifconfig eth1 | grep "inet addr"`
		#echo $Ifconfig1
		IPAddress1=`ifconfig eth1 | grep "HWaddr" | awk '{print $5}' | sed 's/://g'`
		IPAddress1=`echo $IPAddress1 | tr '[:upper:]' '[:lower:]'`
		#echo $IPAddress1
		if [ "$Ifconfig1" = "" ]; then
			#Open the cableLan
			connmanctl \connect "ethernet_"$IPAddress1"_cable"
		fi
		sleep 1
	done
	
}

